/*---------------------------------------------------------------------------
 *
 *      Title:          Memory Allocation tracking and checking
 *
 *      Description:
 * 			Test/example program to show off the 
 * 		dynamic memory validation flashness ;-)
 *
 *      Copyright  1991-1996 R.J.Harrison
 *---------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

#include "dyn_val.h"

extern "C"{
int DV_error_log (char *fmt, ...)
{

    char buf [500];
    va_list ap;

    va_start(ap, fmt);
    vsprintf(buf, fmt, ap);
    va_end(ap);

    puts(buf);
    return 0;
}
}

main()
{
	NEW_MARK
	char *x = new char[10]; 
	memset(x,11,11);
	delete x;

	free((void*)12);
	char dd[10];
	delete dd;

	NEW_ID("Claire")
	x = new char[10]; 
	memset(x-10,22,10);
	delete x;

	x=(char*)malloc(10);
	memset(x,18,11);
	free(x);
	free(x);
}

